Bug 559142 - dhclient -6 -r eth0 use a released address
dhclient -6 -r eth0 use a released address
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 559402
  Show dependency treegraph
 
Reported: 2010-01-27 04:19 EST by Yang Ren
Modified: 2010-02-11 09:45 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.1.1-5.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 559402 (view as bug list)
Environment:
Last Closed: 2010-02-11 09:45:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jiri Popelka 2010-02-05 10:27:07 EST
This problem should be fixed in dhcp-4.1.1-4.fc12
Please try it again after you get message that dhcp-4.1.1-4.fc12 has been pushed to the Fedora 12 testing repository.


ping and ping6 (see 'man ping6') uses the ICMP protocol’s mandatory ECHO_REQUEST datagram, so to send 'echo request msg' to client use:

ping6 3ffe:501:ffff:100:200:ff:fe00:a1a1%0
Comment 2 Jiri Popelka 2010-02-05 10:53:16 EST
Just a detail:
Problem was in dhclient, so you will be interested in dhclient-4.1.1-4.fc12.
Comment 3 Yang Ren 2010-02-07 22:12:45 EST
Thanks I'll test.
Comment 4 Fedora Update System 2010-02-09 00:10:11 EST
dhcp-4.1.1-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0928
Comment 5 Yang Ren 2010-02-09 04:32:21 EST
I manually test it. After release ping6 failed with the released address. I plan to run tahi test suit again to ensure this is fixed.
Comment 6 Yang Ren 2010-02-09 20:43:19 EST
Test result pass. Thanks.
Comment 7 Fedora Update System 2010-02-11 09:44:56 EST
dhcp-4.1.1-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.